// 企业客户/供应商账号相关
import http from '@/apis/axios'
const api = 'admin/order/'

const planAPI = 'admin/planOrder/'
export default {
  // 列表1
  list: (data, params) => http(api + 'orderlist', data, 'post', params),
  // 任务详情
  detail: (data, params) => http(api + 'orderinfo', data, 'post', params),
  settle:(data, params) => http(api + 'settle', data, 'post', params),


  //预算函列表
  planList:(data, params) => http(planAPI + 'list', data, 'post', params),
  //预算函创建
  planCreate:(data, params) => http(planAPI + 'create', data, 'post', params),
  //预算函状态
  planStatus:(data, params) => http(planAPI + 'status', data, 'post', params),
  planDetail:(data, params) => http(planAPI + 'info', data, 'post', params),
  planDelete:(data, params) => http(planAPI + 'deleteinfo', data, 'post', params),
  planUpdate:(data, params) => http(planAPI + 'save', data, 'post', params),

  planUpdateInfo:(data, params) => http(planAPI + 'updateinfo', data, 'post', params),

  // 采返商品详情
  good_detail: (data, params) =>
    http(api + 'consultfeadinfo', data, 'post', params),
  // 反馈商品添加
  good_add: (data, params) => http(api + 'consultfeed', data, 'post', params),
  // 反馈商品编辑
  good_update: (data, params) =>
    http(api + 'consultfeededit', data, 'post', params),
  // 反馈商品列表
  good_list: (data, params) =>
    http(api + 'consultbidlist', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'customaredit', data, 'post', params),
  // 新建
  add: (data, params) => http(api + 'customarcreate', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'customardelete', data, 'post', params),
  // 状态
  status: (data, params) => http(api + 'resultstatu', data, 'post', params),
  // 获取实时金价
  golpricelast: (data, params) =>
    http(api + 'golpricelast', data, 'post', params),
  // 获取分类详情
  catinfo: (data, params) => http(api + 'catinfo', data, 'post', params)
}
