
const statusList = [
  { id: '0', label: '待业务主管审核', type: '' },
  { id: '1', label: '业务主管已通过', type: 'success' },
  { id: '2', label: '业务主管已驳回', type: 'danger' },
  { id: '3', label: '业务主管越线通过', type: 'warning' },
  { id: '4', label: '取消议价', type: 'info' }
  // 已选完商品，取消议价
]

const editColumns = [
  {
    prop: 'todo',
    label: '平台订单编号',
    span: 8
  },

  {
    prop: 'todo',
    label: '业务订单编号',
    span: 8
  },
  {
    prop: 'todo',
    label: '创建时间',
    span: 8
  },
  {
    prop: 'todo',
    label: '总金额',
    span: 8
  },

  {
    prop: 'todo',
    label: '未回款金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '已回款金额',
    span: 8
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 8
  },
  {
    prop: 'todo',
    label: '已开票金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '未开票金额',
    span: 8
  }
]

const listCol = [
  {
    prop: 'todo',
    label: '付款申请编号',
    width: '155'
  },

  {
    prop: 'todo',
    label: '付款状态',
    _slot_:'status',
    width: '155'
  },

  {
    prop: 'todo',
    label: '付款金额',
    width: '120px'
  },
  {
    prop: 'todo',
    label: '需求订单编号',
    width: '155'
  },

  {
    prop: 'todo',
    label: '客户公司',
    minWidth: '155px'
  },
  {
    prop: 'todo',
    label: '店铺名称',
    minWidth: '155px'
  },
  {
    prop: "todo",
    label: "创建人",
    minWidth: '155px'
  },
  {
    prop: 'todo',
    label: '创建时间',
    'min-width': '180'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

export {
  listCol, 
  statusList,
  editColumns
}
