const formItem = {
  // id: "",
  renovation_date: "2023",
  park_num: "0",
  store_spec_ids: [],
  caterer_spec_ids: [],
  hotel_spec_ids: [],
  room_spec_ids: [],
  caterer_spec_ids2:[],
  store_desc: "qq",
};
const checkAll= {
  store_spec_ids: false,
  caterer_spec_ids: false,
  hotel_spec_ids: false,
  room_spec_ids: false,
  caterer_spec_ids2: false,
};
const isIndeterminate= {
  store_spec_ids: true,
  caterer_spec_ids: true,
  hotel_spec_ids: true,
  room_spec_ids: true,
  caterer_spec_ids2: true,
};

const rules = {
  renovation_date: [
    { required: true, message: "请选择最近装修时间", trigger: "change" },
  ],
  park_num: [{ required: true, message: "请选择停车位数", trigger: "change" }],
  store_spec_ids: [
    {
      required: true,
      type: "array",
      message: "至少选择一个场地特色",
      trigger: "change",
    },
  ],
  caterer_spec_ids: [
    {
      required: true,
      type: "array",
      message: "至少选择一个餐饮设施",
      trigger: "change",
    },
  ],
  hotel_spec_ids: [
    {
      required: true,
      type: "array",
      message: "至少选择一个酒店设施",
      trigger: "change",
    },
  ],
  room_spec_ids: [
    {
      required: true,
      type: "array",
      message: "至少选择一个客房设施",
      trigger: "change",
    },
  ],
  caterer_spec_ids2: [
    {
      required: true,
      type: "array",
      message: "至少选择一个会议设施",
      trigger: "change",
    },
  ],
  store_desc: [
    { required: true, message: "请输入店铺简介", trigger: "change" },
  ],
};
const config = {
  room_spec_ids: [
    "中央空调",
    "24小时热水",
    "暖气",
    "温泉",
    // "免费洗漱用品",
    "电热水壶",
    "吹风机",
    "拖鞋",
  ],
  hotel_spec_ids: [
    "免费停车场",
    "公交站",
    "商务中心",
    "WIFI",
    "取款机",
    "商场",
    "电梯",
    "温泉",
    "泳池",
    "KTV",
    "康体娱乐",
    "有山有水",
  ],
  caterer_spec_ids: ["大堂吧", "中餐厅"],
  caterer_spec_ids2: [
    "暖气",
    "地毯",
    "音响",
    "无线话筒",
    "有线话筒",
    "台式话筒",
    "小蜜蜂",
    "固定投影",
    "移动投影",
    "固定幕布",
    "移动幕布",
    "白板",
    "宽带接口",
    "茶/水",
    "纸笔",
    "桌卡",
    "指引牌",
    "签到台",
    "鲜花",
    "茶歇",
  ],
};

export { formItem, rules, config ,checkAll,isIndeterminate};
