const statusList = [
  { id: '0', label: '待业务主管审核', type: '' },
  { id: '1', label: '业务主管已通过', type: 'success' },
  { id: '2', label: '业务主管已驳回', type: 'danger' },
  { id: '3', label: '业务主管越线通过', type: 'warning' },
  { id: '4', label: '取消议价', type: 'info' }
  // 已选完商品，取消议价
]
const editColumns = [
  {
    prop: 'todo',
    label: '平台订单编号',
    span: 8
  },

  {
    prop: 'todo',
    label: '业务订单编号',
    span: 8
  },
  {
    prop: 'todo',
    label: '创建时间',
    span: 8
  },
  {
    prop: 'todo',
    label: '总金额',
    span: 8
  },

  {
    prop: 'todo',
    label: '未回款金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '已回款金额',
    span: 8
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 8
  },
  {
    prop: 'todo',
    label: '已开票金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '未开票金额',
    span: 8
  }
]

const demandOrderColumns = [
  {
    prop: 'todo',
    label: '平台订单编号',
    span: 8
  }
]
const listCol = [
  {
    prop: 'todo',
    label: '平台结算编号',
    width: '155'
  },

  {
    prop: 'todo',
    label: '需求订单编号',
    width: '155'
  },

  {
    prop: 'todo',
    label: '供应商',
    width: '120px'
  },
  {
    prop: 'todo',
    label: '平台结算编码',
    width: '155'
  },

  {
    prop: 'todo',
    label: '平台结算金额',
    width: '100px'
  },
  {
    prop: 'todo',
    label: '回款状态',
    width: '125px',
    _slot_:'status',
  },
  {
    prop: 'todo',
    label: '已回款金额',
    'min-width': '100px'
  },
  {
    prop: 'todo',
    label: '回款中金额',
    'min-width': '100px'
  },
  {
    prop: 'todo',
    label: '未回款金额',
    minWidth: '100px'
  },
  {
    prop: 'creater',
    label: '开票状态',
    _slot_:'status',
    minWidth: '120px'
  },
  {
    prop: 'todo',
    label: '已开票金额',
    minWidth: '100px'
  },
  {
    prop: 'todo',
    label: '开票中金额',
    minWidth: '100px'
  },
  {
    prop: 'todo',
    label: '未开票金额',
    minWidth: '100px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

const invoiceColumns = [
  {
    prop: 'todo',
    label: '抬头',
    span:24
  },
  {
    prop: 'todo',
    label: '纳税人识别号',
    span:24
  },
  {
    prop: 'todo',
    label: '地址、电话',
    span:24
  },
  {
    prop: 'todo',
    label: '开户行及账号',
    span:24
  }
]

export {
  listCol,
  invoiceColumns,
  editColumns,
  statusList,
  demandOrderColumns
}
