const rules = {
  name: [{ required: true, message: "请输入店铺名称", trigger: "change" }],
  image: [{ required: true, message: "请上传店铺主图", trigger: "change" }],
  unit: [{ required: true, message: "请输入单位", trigger: "change" }],
  price: [{ required: true, message: "请输入参考价", trigger: "change" }],
};

const formItem = {
  id: "",
  image:
    "http://hwpro.test241.wanyuhengtong.com/storage/default/20230607/6c4b040420fb5a1d01837d0f120d60ec5c92ea62.jpg",
  name: "测试会议服务设施",
  unit: "件",
  remark: "这是一个备注",
  price: "20000",
};
const columns = [
  {
    prop: "index",
    label: "顺序",
    type: "index",
  },
  {
    prop: "image",
    label: "图片",
    _slot_: "image",
  },
  {
    prop: "name",
    label: "名称",
  },
  {
    prop: "unit",
    label: "单位",
  },

  {
    prop: "price",
    label: "参考价(元)",
  },
  {
    prop: "remark",
    label: "备注",
  },

  {
    prop: "create_time",
    label: "创建时间",
    width: "145",
  },
  {
    prop: "",
    label: "操作",
    _add_: true,
    fixed: "right",
    width: "100",
    _noset_: true,
    _slot_: "operation",
  },
];
const parmValue = {
  page: 1, // 页码
  size: 999999, // 每页显示条数
  limit: 999999,
};

export { formItem, columns, rules, parmValue };
